You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@tvm.apache.org by tq...@apache.org on 2020/01/17 17:20:04 UTC

[incubator-tvm] branch master updated: [VTA] Update Jenkinsfile for VTA test with TSIM (#4734)

This is an automated email from the ASF dual-hosted git repository.

tqchen pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/incubator-tvm.git


The following commit(s) were added to refs/heads/master by this push:
     new 03ffb01  [VTA] Update Jenkinsfile for VTA test with TSIM (#4734)
03ffb01 is described below

commit 03ffb01c92cf032d066b47697118707f3883a623
Author: Liangfu Chen <li...@harman.com>
AuthorDate: Sat Jan 18 01:19:52 2020 +0800

    [VTA] Update Jenkinsfile for VTA test with TSIM (#4734)
    
    * [VTA] Update Jenkinsfile for VTA test with TSIM
    
    * duplicate task_python_vta.sh multiple copies for now
---
 Jenkinsfile                           |  5 ++--
 tests/scripts/task_python_vta_fsim.sh | 55 +++++++++++++++++++++++++++++++++++
 tests/scripts/task_python_vta_tsim.sh | 55 +++++++++++++++++++++++++++++++++++
 3 files changed, 113 insertions(+), 2 deletions(-)

diff --git a/Jenkinsfile b/Jenkinsfile
index f974fdc..6b92f96 100644
--- a/Jenkinsfile
+++ b/Jenkinsfile
@@ -217,7 +217,8 @@ stage('Build') {
         timeout(time: max_time, unit: 'MINUTES') {
           sh "${docker_run} ${ci_cpu} ./tests/scripts/task_python_unittest.sh"
           sh "${docker_run} ${ci_cpu} ./tests/scripts/task_python_integration.sh"
-          sh "${docker_run} ${ci_cpu} ./tests/scripts/task_python_vta.sh"
+          sh "${docker_run} ${ci_cpu} ./tests/scripts/task_python_vta_fsim.sh"
+          sh "${docker_run} ${ci_cpu} ./tests/scripts/task_python_vta_tsim.sh"
           sh "${docker_run} ${ci_cpu} ./tests/scripts/task_golang.sh"
         }
       }
@@ -269,7 +270,7 @@ stage('Unit Test') {
         timeout(time: max_time, unit: 'MINUTES') {
           sh "${docker_run} ${ci_i386} ./tests/scripts/task_python_unittest.sh"
           sh "${docker_run} ${ci_i386} ./tests/scripts/task_python_integration.sh"
-          sh "${docker_run} ${ci_i386} ./tests/scripts/task_python_vta.sh"
+          sh "${docker_run} ${ci_i386} ./tests/scripts/task_python_vta_fsim.sh"
         }
       }
     }
diff --git a/tests/scripts/task_python_vta_fsim.sh b/tests/scripts/task_python_vta_fsim.sh
new file mode 100755
index 0000000..1e5055e
--- /dev/null
+++ b/tests/scripts/task_python_vta_fsim.sh
@@ -0,0 +1,55 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -e
+set -u
+
+export PYTHONPATH=python:vta/python:topi/python
+
+# cleanup pycache
+find . -type f -path "*.pyc" | xargs rm -f
+
+rm -rf ~/.tvm
+
+# Rebuild cython
+make cython3
+
+# Run unit tests in functional/fast simulator
+echo "Running unittest in fsim..."
+python3 -m pytest -v vta/tests/python/unittest
+
+# Run unit tests in functional/fast simulator
+echo "Running integration test in fsim..."
+python3 -m pytest -v vta/tests/python/integration
+
+# # Build VTA chisel design and verilator simulator
+# (make -C vta/hardware/chisel/)
+
+# # Set default VTA config to use TSIM cycle accurate sim
+# cp vta/config/tsim_sample.json vta/config/vta_config.json
+
+# # Run unit tests in cycle accurate simulator
+# echo "Running unittest in tsim..."
+# python3 -m pytest -v vta/tests/python/unittest
+
+# # Run unit tests in cycle accurate simulator
+# echo "Running integration test in tsim..."
+# python3 -m pytest -v vta/tests/python/integration
+
+# # Reset default fsim simulation
+# cp vta/config/fsim_sample.json vta/config/vta_config.json
diff --git a/tests/scripts/task_python_vta_tsim.sh b/tests/scripts/task_python_vta_tsim.sh
new file mode 100755
index 0000000..1e5055e
--- /dev/null
+++ b/tests/scripts/task_python_vta_tsim.sh
@@ -0,0 +1,55 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -e
+set -u
+
+export PYTHONPATH=python:vta/python:topi/python
+
+# cleanup pycache
+find . -type f -path "*.pyc" | xargs rm -f
+
+rm -rf ~/.tvm
+
+# Rebuild cython
+make cython3
+
+# Run unit tests in functional/fast simulator
+echo "Running unittest in fsim..."
+python3 -m pytest -v vta/tests/python/unittest
+
+# Run unit tests in functional/fast simulator
+echo "Running integration test in fsim..."
+python3 -m pytest -v vta/tests/python/integration
+
+# # Build VTA chisel design and verilator simulator
+# (make -C vta/hardware/chisel/)
+
+# # Set default VTA config to use TSIM cycle accurate sim
+# cp vta/config/tsim_sample.json vta/config/vta_config.json
+
+# # Run unit tests in cycle accurate simulator
+# echo "Running unittest in tsim..."
+# python3 -m pytest -v vta/tests/python/unittest
+
+# # Run unit tests in cycle accurate simulator
+# echo "Running integration test in tsim..."
+# python3 -m pytest -v vta/tests/python/integration
+
+# # Reset default fsim simulation
+# cp vta/config/fsim_sample.json vta/config/vta_config.json